#include "header.h"

int main(int argc, char **argv) {

    Session *session = new Session("example5",argc,argv);
    Style *style = session->style();
    WidgetKit& kit = *WidgetKit::instance();

    Line *li = new Line();
    Selector *handy = new Selector(li, style);
    Background *bg = new Background(handy, kit.background());

    TestMenu *tm = new TestMenu(bg);

    ApplicationWindow *window = 
                      new ApplicationWindow(tm->compose(kit));
    tm->set_window(window);

    Display *display = session->default_display();
    window->align(0.5,0.5);
    window->place(display->width()/2,display->height()/2);
    style->attribute("name","example 5"); 
    window->style(style);

    return session->run_window(window);
}
